
Redmine - Defect #32041

Unable to reuse project name after delete

2019-09-09 19:16 - James Byrne

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.11

Description

I created a test project (testgit) and an associated git repo (testgit.git).  I then deleted the project and created a new project with a

different name (testgit2) using the same repo.  I then deleted the second project and added the first test project again. When I

attempted to add the repo I got this message:

ActiveRecord::RecordNotUnique (PG::UniqueViolation: ERROR:  duplicate key value violates unique co

nstraint "changesets_repos_rev" 

DETAIL:  Key (repository_id, revision)=(24, e8b0e6b24474df93f13ccce8f2367686901f35f2) already exis

ts.

: INSERT INTO "changesets" ("repository_id", "revision", "scmid", "committer", "commit_date", "com

mitted_on", "comments", "user_id") VALUES ($1, $2, $3, $4, $5, $6, $7, $8) RETURNING "id"):

  app/models/repository/git.rb:220:in `save_revision'

  app/models/repository/git.rb:209:in `block (2 levels) in save_revisions'

  app/models/repository/git.rb:206:in `block in save_revisions'

  app/models/repository/git.rb:205:in `each'

  app/models/repository/git.rb:205:in `save_revisions'

  app/models/repository/git.rb:155:in `fetch_changesets'

  app/controllers/repositories_controller.rb:86:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2019-09-10 21:17 - James Byrne

- Status changed from New to Resolved

invalid.  New repo simply took a long time to load.

#2 - 2019-09-10 21:52 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2019-09-10 21:52 - Marius BĂLTEANU

James Byrne wrote:

invalid.  New repo simply took a long time to load.

 Thanks for your feedback.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

http://www.tcpdf.org

